%define pydict_version 0.2.5.1
%define pydict_release 12mdk

Summary:	pyDict - An English/Chinese Dictionary written with python/gtk
Name:		pyDict
Version:	%{pydict_version}
Release:	%{pydict_release}
Url:		http://sourceforge/projects/pydict/
License:	GPL
Group:		Text tools
Buildroot:	%_tmppath/%name-%version-%release-root

Source0:	http://sourceforge/projects/pydict/pyDict-%{pydict_version}.tar.bz2
Source1:	pyDict.desktop
Patch2:		pyDict-C2E.patch.bz2

Requires:	locales-zh pygtk

%description
This is a English/Chinese Dictionary wirtten by Daniel Gau with python/gtk.
The word base was originally got from xdict, and was converted and modified by
Daniel Gau and bv1al.This program can be run in both console mode and X 
Window GUI mode.

%prep
%setup -q
%patch2 -p1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/pyDict/
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
install -m 644 yaba.xpm $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/pyDict/
install  -m 755 dict.py $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/pydict.real
cat << EOF > pydict.sh
#!/bin/bash
# pydict only works in big5 encoding
export LC_ALL=zh_TW.Big5
exec pydict.real
EOF
install  -m 755  pydict.sh $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/pydict
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Chinese
for i in a b c d e f g h i j k l m n o p q r s t u v w x y z
	do install -m 644 $i.lib $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/pyDict/
done
install -m 644 HELP $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/pyDict/

# menu
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << _EOF_
?package(pyDict): \
needs="x11" \
section="Office/Accessories" \
title="PyDict" \
longtitle="An English/Chinese Dictionary written with python/gtk" \
command="/usr/X11R6/bin/pydict" \
icon="chinese_section.png"
_EOF_

install -m 644 %{SOURCE1} \
		$RPM_BUILD_ROOT%{_datadir}/gnome/apps/Chinese/pyDict.desktop
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applnk/Chinese/

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_prefix}/X11R6/lib/X11/pyDict
%doc CHANGELOG COPYING README install.sh
%{_prefix}/X11R6/lib/X11/pyDict/*
%{_menudir}/%{name}
%{_datadir}/gnome/apps/Chinese/pyDict.desktop
%defattr(755,root,root,755)
%{_prefix}/X11R6/bin/pydict
%{_prefix}/X11R6/bin/pydict.real

%changelog
* Fri Aug 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5.1-12mdk
- fix typo in menu entry

* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 0.2.5.1-11mdk
- Fix again menu: move in Office/Accessories, where it should be and where it
  should stay- 

* Thu Feb 12 2004 Abel Cheung <deaddog@deaddog.org> 0.2.5.1-10mdk
- Fix menu
- Include menu entry inline
- Remove useless icon

* Wed Feb 11 2004 David Baudens <baudens@mandrakesoft.com> 0.2.5.1-9mdk
- Fix menu
- Remove zh_TW description and summary

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.5.1-8mdk
- Fix menu entry

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.2.5.1-7mdk
- rebuild
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- macroize
- fix use-of-RPM_SOURCE_DIR (rpmlint)
- fix file permissions
- don't change name of file in $RPM_BUILD_DIR during install, it breaks
  short-circuitting!

* Tue Feb 18 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.5.1-6mdk
- rebuilt to link with new libraries
- added a wrapper to force big5 encoding
- included the help page in the package

* Thu Aug 22 2002 David BAUDENS <baudens@mandrakesoft.com> 0.2.5.1-5mdk
- %%post %%update_menus and %%postun %%clean_menus

* Thu Aug 22 2002 David BAUDENS <baudens@mandrakesoft.com> 0.2.5.1-4mdk
- Fix meny entry

* Tue Jan 22 2002 David BAUDENS <baudens@mandrakesoft.com> 0.2.5.1-3mdk
- Use chinese_section.png icon for menu entry
- Don't install .kdelnk files

* Fri Sep 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2.5.1-2mdk
- Requires: locales-zh.

* Thu Jan 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2.5.1-1mdk
- shamelessly rip from CLE.

* Sat Nov 20 2000 Andrew Lee <andrew@cle.linux.org.tw>
- rebuild for LM 7.2

* Wed Sep 20 2000 ID5 <id5id5@tcts1.seed.net.tw>
- fix the Chinese to Engliht bug.
- fix the pyDict.kdelnk,kde.desktop.

* Mon Sep 18 2000 ID5 <id5id5@tcts1.seed.net.tw>
- update to 2.5.1

* Wed May  3 2000 Andrew Lee <andrew@cle.linux.org.tw>
- menu entry

* Tue Mar  7 2000 Yuan-Chung Cheng <platin@linux.org.tw>
- /usr/share/applnk/Chinese/pyDict.kdelnk

* Thu Feb 24 2000 Shang-Feng Yang <storm@chempro.che.ntu.edu.tw>
- Add 'dict-0.2.2.py-check_DISPLAY.patch' made by 
  Cheng Yuan-Chung & Shang-Feng Yang to give dict-0.2.2.py
  the ability for detecting X

* Sun Jan 30 2000 Shang-Feng Yang <storm@chempro.che.ntu.edu.tw>
- Modify README and CHANGELOG of the source pyDict-0.2.2.tar.gz
- Modify the version number in the dict-0.2.2.py from 0.2.1 to 0.2.2

* Sun Jan 23 2000 Shang-Feng Yang <storm@chempro.che.ntu.edu.tw>
- Fix a missing definition of 'g_command' in dict-0.2.2.py
- Modify install.sh to fit for version 0.2.2

* Sun Jan 23 2000 Daniel Gau <plateau@wahoo.com.tw>
- Release version 0.2.2
- Add -h option for help
- Add -e option for console English-to-Chinese mode
- Add -c option for console Chinese-to-English mode

* Fri Jan 21 2000 Shang-Feng Yang <storm@chempro.che.ntu.edu.tw>
- Modify some improper terms of the word base pydict.lib
- Add Summary and %description tags of zh_TW.Big5 locale

* Mon Jan 17 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- Add menu for Gnome & KDE
- Add %clean

* Thu Jan 13 2000 Shang-Feng Yang <storm@chempro.che.ntu.edu.tw>
- Fix the IndexError problem caused by some incomplete records in the
  pydict.lib

